@import '../variables.scss';

.account-section {
    margin-top: 100px;
    min-height: 40vh;

    .account-content {
        gap: 15px;

        .aside-menu {
            width: 200px;

            .user-img__wrapper {
                display: flex;
                align-items: center;
                gap: 15px;

                .user-image {
                    min-width: 60px;
                    width: 60px;
                    height: 60px;
                    padding: 10px;
                    border-radius: 30px;
                    border: 2px solid $orange-400;

                    img {
                        width: 100%;
                        height: 100%;
                    }
                }

                .user-name {
                    display: -webkit-box;
                    max-width: 125px;
                    -webkit-line-clamp: 3;
                    -webkit-box-orient: vertical;
                    overflow: hidden;
                }
            }

            .account-menu {
                margin-top: 50px;

                .nav-tabs {
                    margin: 0;
                    padding: 0;
                    list-style: none;

                    .nav-item {
                        position: relative;
                        margin-bottom: 12px;

                        &.active {
                            padding-left: 12px;

                            &::before {
                                content: '';
                                background-image: url('/static/img/arrow-down.svg');
                                width: 14px;
                                height: 20px;
                                background-size: 100%;
                                background-repeat: no-repeat;
                                position: absolute;
                                left: 0;
                                transform: rotate(270deg);
                            }
                        }
                    }
                }
            }
        }

        .account-container {

            .tab-content {

                .tab-pane {
                    display: none;

                    &.active {
                        display: block;
                    }

                    .title {
                        align-items: center;
                        padding-bottom: 10px;
                        border-bottom: 1px solid $dark-300;
                    }

                    .tab-pane-content {
                        margin-top: 15px;

                        #userForm {
                            padding-top: 0;
                            border-bottom: 1px solid $gray-300;

                            .form__footer {
                                margin-top: 20px;
                                align-items: center;
                                justify-content: end;
                            }
                        }

                        .token-block {
                            margin-top: 20px;

                            .block-copy {
                                display: none;
                                position: relative;
                                width: 100%;

                                pre {
                                    text-align: center;
                                }

                                .btn-copy {
                                    position: absolute;
                                    top: 14px;
                                    right: 0;
                                }
                            }
                        }

                        #satellitesTable {
                            min-width: 648px;
                        }
                    }
                }
            }
        }
    }

    @media (max-width: 1299px) {
        margin-top: 85px;
    }

    @media (max-width: 991px) {

        .account-content .aside-menu {
            width: 100%;

            .user-img__wrapper {
                padding: 10px;
                border-radius: 5px;
                background-color: $dark-600;

                .user-image {
                    min-width: 30px;
                    width: 30px;
                    height: 30px;
                    padding: 5px;
                    border-width: 1px;
                }

                .user-name {
                    max-width: none;
                }
            }

            .account-menu {
                margin: 10px 0;

                .nav-tabs {
                    display: flex;
                    justify-content: space-around;
                    gap: 4px;

                    .nav-item {
                        margin-bottom: 0;

                        &.active {
                            padding-left: 0;

                            a {
                                color: $orange-400;
                            }

                            &::before {
                                content: '';
                                background-image: none;
                            }
                        }
                    }
                }
            }
        }
    }

    @media (max-width: 767px) {
        margin-top: 65px;

        .account-content {

            .aside-menu .account-menu .nav-tabs {
                justify-content: space-between;
            }

            .wrapper {
                overflow-x: scroll;
            }

            .account-container .tab-content .tab-pane .tab-pane-content .token-block .block-copy pre {
                text-align: start;
            }
        }
    }

    @media (max-width: 399px) {

        .account-content {

            .aside-menu .account-menu .nav-tabs {
                flex-direction: column;

                .nav-item {
                    text-align: end;
                }
            }

            .account-container .tab-content .tab-pane .tab-pane-content .token-block .block-copy {
                padding-right: 25px;

                pre {
                    overflow-x: scroll;
                }
            }
        }
    }
}

.auth-block {
    margin-top: 20px;
    min-height: 25vh;
}

////////////////////////////////////////////////////////////// Light Theme /////////////////////////////////////////////////////////////

.darkmode--activated {

    .account-section .account-content {

        .account-container .tab-content .tab-pane {

            .title {
                border-bottom-color: $dark-100;
            }

            .tab-pane-content #userForm {
                border-bottom-color: $gray-50;
            }
        }

        @media (max-width: 991px) {

            .aside-menu .user-img__wrapper {
                background-color: $white;
            }
        }
    }
}
